## NAME

v.what - Queries a vector map at given locations.

## KEYWORDS

vector, querying, position

## SYNOPSIS

v.what
v.what --help
v.what [-dagjm] map=name[,name,...] [layer=string[,string,...]] [type=string[,string,...]] coordinates=east,north [distance=float] [columns=name[,name,...]] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-d
  Print topological information (debugging)
-a
  Print attribute information
-g
  Print the stats in shell script style
-j
  Print the stats in JSON
-m
  Print multiple features if overlapping features are found
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name[,name,...] [required]
  Name of vector map(s)
layer=string[,string,...]
  Layer number or name ('-1' for all layers)
  A single vector map can be connected to multiple database tables. This number determines which table to use. When used with direct OGR access this is the layer name.
  Default: -1
type=string[,string,...]
  Input feature type
  Options: point, line, boundary, centroid, area, face, kernel
  Default: point,line,area,face
coordinates=east,north [required]
  Coordinates for query
  '-' for standard input
distance=float
  Query threshold distance
  Default: 0
columns=name[,name,...]
  Name of attribute column(s)
  Default: all columns

## DESCRIPTION

v.what outputs the category number value(s) associated with user-specified location(s) in user-specified vector map layer(s). This module was derived from the d.what.vect module by removing all interactive code and modification of the output for easy parsing. Using the -g flag generates script-style output which is easily parsable.

## EXAMPLE

North Carolina sample dataset example:

Query polygon at given position:

    v.what zipcodes_wake coordinates=637502.25,221744.25

Find closest hospital to given position within given distance (search radius):

    v.what hospitals coordinates=542690.4,204802.7 distance=2000000

## SEE ALSO

d.what.rast, d.what.vect, v.rast.stats, v.vect.stats, v.what.rast, v.what.rast3, v.what.vect

## AUTHOR

Trevor Wiens
Edmonton, Alberta, Canada

## SOURCE CODE

Available at: v.what source code (history)

Accessed: Wednesday Apr 17 00:30:46 2024

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2024 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual